// Width variables
$xs: map_get($screen-breakpoint, xs);
$sm: map_get($screen-breakpoint, sm);
$md: map_get($screen-breakpoint, md);
$lg: map_get($screen-breakpoint, lg);
$xl: map_get($screen-breakpoint, xl);

// XS
@mixin xsOnly {
	@media (min-width: $xs) and (max-width: $sm - 1) {
		@content;
	}
}

// SM
@mixin smUp {
	@media (min-width: $sm) {
		@content;
	}
}

@mixin smDown {
	@media (max-width: $md - 1) {
		@content;
	}
}

@mixin smOnly {
	@media (min-width: $sm) and (max-width: $md - 1) {
		@content;
	}
}

// MD
@mixin mdUp {
	@media (min-width: $md) {
		@content;
	}
}

@mixin mdDown {
	@media (max-width: $lg - 1) {
		@content;
	}
}

@mixin mdOnly {
	@media (min-width: $md) and (max-width: $lg -1) {
		@content;
	}
}

// LG
@mixin lgUp {
	@media (min-width: $lg) {
		@content;
	}
}

@mixin lgDown {
	@media (max-width: $xl - 1) {
		@content;
	}
}

@mixin lgOnly {
	@media (min-width: $lg) and (max-width: $xl - 1) {
		@content;
	}
}

// XL
@mixin xlUp {
	@media (min-width: $xl) {
		@content;
	}
}
